Subject: Re: bug#53771: 29.0.50; highlight-regexp not working after tabulated-list-col-sort

From: Michael Heerdegen <[email-masked]>
Date: Sun, 06 Feb 2022 04:10:05 +0100

Jean Louis <[email-masked]> writes:

> Then I wasn't clear. I have tried  that in first place and it does not
> work. That is why I said it is bug.

You are right, that doesn't work.  The second time `hi-lock-set-pattern'
checks `hi-lock-interactive-patterns', finds the pattern, and does
nothing.

At least in the package-list buffer.  Dired is different because it
_does_ use font-lock.  But I don't see a problem in dired when I revert
or reorder the buffer, the highlighting doesn't disappear, so I don't
need to add a pattern a second time.

Michael.